unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IdBaseComponent, IdComponent, IdTCPServer,
  IdTCPConnection, IdTCPClient, xmldom, XMLIntf, msxmldom, XMLDoc;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    IdTCPClient1: TIdTCPClient;
    XMLDocument1: TXMLDocument;
    ListBox1: TListBox;
    Label3: TLabel;
    ListBox2: TListBox;
    ListBox3: TListBox;
    Label4: TLabel;
    Label5: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Edit5: TEdit;
    Button2: TButton;
    Label9: TLabel;
    ListBox4: TListBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  radek: String;
  pocetstanic,i: Integer;
begin
  IdTCPClient1.Host:=Edit1.Text; //host
  try
    IdTCPClient1.Port:=StrToInt(Edit2.Text); //port
  except
    Exit;
  end;
  IdTCPClient1.Connect; //pripojeni
  if not IdTCPClient1.Connected then Exit;
  Memo1.Lines.Add('Pripojeno');
  IdTCPClient1.WriteLn('GET /SeznamStanic HTTP/1.0'); //odeslani pozadavku
  IdTCPClient1.WriteLn();
  Memo1.Lines.Add('Pozadavek odeslan');

  try
    repeat
      radek:=IdTCPClient1.ReadLn(); //preskoceni hlavicky
    until radek='';

    while (True) do //nacteni seznamu zastavek
    begin
      radek:=IdTCPClient1.ReadLn();
      XMLDocument1.XML.Add(radek);
    end;

  except
  end;

  XMLDocument1.Active:=True;
  pocetstanic:=XMLDocument1.DOMDocument.childNodes.item[0].childNodes.length;

  ListBox1.Items.Clear;
  ListBox2.Items.Clear;
  ListBox3.Items.Clear;
  ListBox3.Items.Add('-- neni pres --');

  for i:=0 to pocetstanic-1 do //ziskani nazvu zastavek
  begin
    radek:=XMLDocument1.DOMDocument.childNodes.item[0].childNodes.item[i].childNodes.item[0].nodeValue;
    ListBox1.Items.Add(radek);
    ListBox2.Items.Add(radek);
    ListBox3.Items.Add(radek);
  end;
  Button2.Enabled:=True;

end;

procedure TForm1.Button2Click(Sender: TObject);
var
  pozadavek,radek,
  kam,odkud,pres,spojeni,prestupy,odjezd: String;
begin
  IdTCPClient1.Connect; //pripojeni
  if not IdTCPClient1.Connected then Exit;
  Memo1.Lines.Add('Pripojeno');

  IdTCPClient1.WriteLn('GET /NajdiSpojeni HTTP/1.0'); //odeslani pozadavku
  IdTCPClient1.WriteLn();
  Memo1.Lines.Add('Pozadavek odeslan');
  ShowMessage('Funkce neni dokoncena.');
end;

end.
